[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# MemSize

Return the size of a memory block.

## Declaration

Source position: heaph.inc line 93

`function MemSize(`
`p: pointer`
`):PtrUInt;`

## Description

MemSize returns the size of a memory block on the heap.

## Errors

Passing an invalid pointer may lead to run-time errors (access violations).

## See also

GetMem |  | Allocate new memory on the heap
FreeMem |  | Release allocated memory